> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/getting-started/interpreting-the-response/collections.md).

# Collections

Some results return collections of objects. E.g. event?action=getEventList. The resulting [JSON](/development-reference/json-encoding.md) response for these collections will be an object with the following properties.

1. meta: An object providing information about the result set. The following keys may exist
   * totalResults: The number of results in the complete collection
   * start: The starting index of the collection this result represents
   * perPage: The number of items per page of results
   * count: The number of objects included in this result.
2. results: An array of objects


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/getting-started/interpreting-the-response/collections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
